LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 04-15-2024, 12:56 PM   #4246
lecramyajiv
LQ Newbie
 
Registered: Jul 2015
Posts: 28

Rep: Reputation: Disabled

Can we have Latest version of Noto fonts.

Noto fonts archived their previous url and have moved to a new url.
This is the latest upstream url for Noto fonts.
https://github.com/notofonts/notofonts.github.io
And the Download URL
https://github.com/notofonts/notofon...-24.4.1.tar.gz
 
1 members found this post helpful.
Old 04-15-2024, 03:10 PM   #4247
glennmcc
Member
 
Registered: Jan 2021
Location: North Jackson, Ohio (USA)
Distribution: slackware64-current
Posts: 514

Rep: Reputation: 290Reputation: 290Reputation: 290
/etc/slackware-version ought to show 32bit or 64bit like so...

Slackware 15.0+

Slackware64 15.0+
 
2 members found this post helpful.
Old 04-15-2024, 03:51 PM   #4248
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,505

Rep: Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320
Quote:
Originally Posted by marav View Post
NetworkManager

It seems
Code:
  --with-session-tracking=elogind \
  --with-suspend-resume=elogind \
no longer builds session tracking with the desired value
Code:
Platform:
  session tracking: consolekit
  suspend/resume: elogind
With a meson version of the Slackbuild
Code:
  -Dsession_tracking=elogind \
  -Dsuspend_resume=elogind \
Code:
    session_tracking    : elogind
    suspend_resume      : elogind
My setup
Code:
--- NetworkManager.SlackBuild   2024-02-23 02:49:52.589076742 +0100
+++ NetworkManager.SlackBuild.1 2024-04-15 17:31:17.070756579 +0200
@@ -98,11 +98,6 @@
   zcat $dfile | patch -p1 --verbose || exit 1
 done
 
-# For git-patched builds
-autoreconf -vif
-automake
-./autogen.sh
-
 # Configuring --enable-json-validation --enable-ovs requires the Jansson
 # json-c library. If there's any interest or usefulness with that, let me
 # know. The library is fairly small, but in order to actually use team
@@ -111,34 +106,41 @@
 # Update September 2018: Added those options since we needed Jansson
 # already for HTTP/2 support.
 
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS" 
+export CXXFLAGS="$SLKCFLAGS" 
+mkdir meson-build
+cd meson-build
+meson setup \
   --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
-  --docdir=/usr/doc/$PKGNAM-$VERSION \
-  --with-udev-dir=/lib/udev \
-  --with-pppd-plugin-dir=/usr/lib${LIBDIRSUFFIX}/pppd/$PPPD \
-  --with-crypto=nss \
-  --enable-more-warnings=no \
-  --without-resolvconf \
-  --with-dhcpcd=/sbin/dhcpcd \
-  --with-dhclient=yes \
-  --with-modem-manager-1=yes \
-  --with-nmtui=yes \
-  --enable-json-validation \
-  --enable-ovs \
-  --with-consolekit=no \
-  --with-session-tracking=elogind \
-  --with-suspend-resume=elogind \
-  --with-hostname-persist=slackware \
-  --build=$TARGET || exit 1
-
-make $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
+  -Dudev_dir=/lib/udev \
+  -Dpppd_plugin_dir=/usr/lib${LIBDIRSUFFIX}/pppd/$PPPD \
+  -Dsession_tracking=elogind \
+  -Dsuspend_resume=elogind \
+  -Dnmtui=true \
+  -Dovs=true \
+  -Dresolvconf='' \
+  -Ddhcpcd=/sbin/dhcpcd \
+  -Dconfig_dhcp_default=dhcpcd \
+  -Dcrypto=nss \
+  -Dsystemd_journal=false \
+  -Ddbus_conf_dir=/usr/share/dbus-1/system.d \
+  -Ddhclient=/sbin/dhclient \
+  -Dmodem_manager=true \
+  -Dmore_logging=false \
+  -Dhostname_persist=slackware \
+  -Dsystemd_journal=false \
+  -Dsystemdsystemunitdir=no \
+  -Dselinux=false \
+  -Dlibaudit=no \
+  -Dqt=false \
+  .. || exit 1
+  "${NINJA:=ninja}" $NUMJOBS || exit 1
+  DESTDIR=$PKG $NINJA install || exit 1
+cd ..
 
 # Don't ship .la files:
 rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
@@ -190,6 +192,9 @@
 cp -a \
   AUTHORS CONTRIBUTING COPYING ChangeLog INSTALL NEWS README TODO \
   $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  $PKG/usr/share/doc/NetworkManager/* $PKG/usr/doc/$PKGNAM-$VERSION
+  rm -rf $PKG/usr/share/doc/NetworkManager
 
 # If there's a ChangeLog, installing at least part of the recent history
 # is useful, but don't let it get totally out of control:
Well, bellow is my take on a a Meson build of NetworkManager. The result is a quasi-identical package with the stock one, but with the session_tracking properly set to elogind.

However, the NetworkManager is still plagued by that issue after the system sleeping.

But let's see the bright side: this one I believe it's better (or rather, more correctly) made.

Code:
--- NetworkManager.SlackBuild.orig	2024-04-15 21:32:55.157870369 +0300
+++ NetworkManager.SlackBuild	2024-04-15 23:44:18.515847584 +0300
@@ -27,7 +27,7 @@
 
 PKGNAM=NetworkManager
 VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
 
 # Automatically determine the architecture we're building on:
 MARCH=$( uname -m )
@@ -98,11 +98,6 @@
   zcat $dfile | patch -p1 --verbose || exit 1
 done
 
-# For git-patched builds
-autoreconf -vif
-automake
-./autogen.sh
-
 # Configuring --enable-json-validation --enable-ovs requires the Jansson
 # json-c library. If there's any interest or usefulness with that, let me
 # know. The library is fairly small, but in order to actually use team
@@ -111,35 +106,44 @@
 # Update September 2018: Added those options since we needed Jansson
 # already for HTTP/2 support.
 
+mkdir meson-build
+cd meson-build
+
 CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
-./configure \
+meson setup \
   --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
-  --docdir=/usr/doc/$PKGNAM-$VERSION \
-  --with-udev-dir=/lib/udev \
-  --with-pppd-plugin-dir=/usr/lib${LIBDIRSUFFIX}/pppd/$PPPD \
-  --with-crypto=nss \
-  --enable-more-warnings=no \
-  --without-resolvconf \
-  --with-dhcpcd=/sbin/dhcpcd \
-  --with-dhclient=yes \
-  --with-modem-manager-1=yes \
-  --with-nmtui=yes \
-  --enable-json-validation \
-  --enable-ovs \
-  --with-systemd-logind=no \
-  --with-consolekit=no \
-  --with-session-tracking=elogind \
-  --with-suspend-resume=elogind \
-  --with-hostname-persist=slackware \
-  --build=$TARGET || exit 1
-
-make $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
+  --buildtype=release \
+  -Dudev_dir=/lib/udev \
+  -Dpppd_plugin_dir=/usr/lib${LIBDIRSUFFIX}/pppd/$PPPD \
+  -Dsession_tracking_consolekit=false \
+  -Dsession_tracking=elogind \
+  -Dsuspend_resume=elogind \
+  -Dnmtui=true \
+  -Dovs=true \
+  -Dresolvconf='' \
+  -Ddhcpcd=/sbin/dhcpcd \
+  -Dconfig_dhcp_default=dhcpcd \
+  -Dcrypto=nss \
+  -Dsystemd_journal=false \
+  -Ddbus_conf_dir=/usr/share/dbus-1/system.d \
+  -Ddhclient=/sbin/dhclient \
+  -Dmodem_manager=true \
+  -Dmore_logging=false \
+  -Dhostname_persist=slackware \
+  -Dsystemd_journal=false \
+  -Dsystemdsystemunitdir=no \
+  -Dselinux=false \
+  -Dlibaudit=no \
+  -Dqt=false \
+  .. || exit 1
+  "${NINJA:=ninja}" $NUMJOBS || exit 1
+  DESTDIR=$PKG $NINJA install || exit 1
+cd ..
 
 # Don't ship .la files:
 rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
@@ -191,6 +195,9 @@
 cp -a \
   AUTHORS CONTRIBUTING COPYING ChangeLog INSTALL NEWS README TODO \
   $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  $PKG/usr/share/doc/NetworkManager/* $PKG/usr/doc/$PKGNAM-$VERSION
+  rm -rf $PKG/usr/share/doc
 
 # If there's a ChangeLog, installing at least part of the recent history
 # is useful, but don't let it get totally out of control:

Last edited by LuckyCyborg; 04-15-2024 at 03:52 PM.
 
3 members found this post helpful.
Old 04-15-2024, 04:23 PM   #4249
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,366

Rep: Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080Reputation: 4080
Quote:
Originally Posted by LuckyCyborg View Post
But let's see the bright side: this one I believe it's better (or rather, more correctly) made.
Thanks to your BUILD=2 ?

I missed you ^^
 
Old 04-15-2024, 04:37 PM   #4250
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,505

Rep: Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320
Quote:
Originally Posted by marav View Post
Thanks to your BUILD=2 ?

I missed you ^^
Well, also:
Code:
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
meson setup \
   --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
   --buildtype=release \
and:
Code:
  -Dsession_tracking_consolekit=false \
Anyway, I did not get better results even after jumping on latest NetworkManager-1.47.4 . Of course, I talk about that issue after the system sleeping.

Last edited by LuckyCyborg; 04-15-2024 at 04:49 PM.
 
1 members found this post helpful.
Old 04-15-2024, 07:39 PM   #4251
alex14641
Member
 
Registered: Feb 2016
Distribution: Slackware64_14.2, Slackware 15.0, Slackware64_current
Posts: 322

Rep: Reputation: Disabled
bluez 5.75
Change log:
+ver 5.75:
+ Fix issue with build system and header inclusion.
+

Source: https://mirrors.edge.kernel.org/pub/...ez-5.75.tar.xz
 
Old 04-16-2024, 06:25 AM   #4252
opty
Member
 
Registered: Mar 2021
Posts: 175

Rep: Reputation: Disabled
Rather just FYI: elogind 255.4-r2
 
1 members found this post helpful.
Old 04-16-2024, 11:47 AM   #4253
r1w1s1
Member
 
Registered: Mar 2004
Location: São Paulo - Brazil
Distribution: Slackware
Posts: 62
Blog Entries: 1

Rep: Reputation: 39
Firefox ESR important sec updates
https://www.mozilla.org/en-US/securi...s/mfsa2024-19/
 
1 members found this post helpful.
Old 04-16-2024, 11:55 AM   #4254
bigbadaboum
Member
 
Registered: Apr 2023
Posts: 142

Rep: Reputation: 55
Quote:
henca
This thread might not be the right place for support questions about installpkg, xz and performance. People will probably be more willing trying to help in a separate thread.

regards Henrik
saturday, I asked Michael the moderator to move the discussion in a new thread.

But I believe in this thread There is very competent personn knowing if if txz use the multithread.

https://git.tukaani.org/?p=xz.git;a=...15b78988e5dae8
Quote:
--- a/THANKS
+++ b/THANKS
@@ -155,6 +155,7 @@ has been important. :-) In alphabetical order:
- Mohammed Adnène Trojette
- Alexey Tourbin
- Taiki Tsunekawa
+ - Maksym Vatsyk
- Loganaden Velvindron
- Patrick J. Volkerding
- Martin Väth
 
Old 04-16-2024, 05:23 PM   #4255
glennmcc
Member
 
Registered: Jan 2021
Location: North Jackson, Ohio (USA)
Distribution: slackware64-current
Posts: 514

Rep: Reputation: 290Reputation: 290Reputation: 290
a/aaa_libraries-15.1-x86_64-30.txz: Rebuilt.
Upgraded: libcares.so.2.13.1.
Added (temporarily): libboost_*.so.1.84.0.


Do I gather correctly that there are still some other items in -current that will need to be rebuilt against 1.85 ?
 
Old 04-16-2024, 05:36 PM   #4256
volkerdi
Slackware Maintainer
 
Registered: Dec 2002
Location: Minnesota
Distribution: Slackware! :-)
Posts: 2,508

Rep: Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469Reputation: 8469
Quote:
Originally Posted by glennmcc View Post
a/aaa_libraries-15.1-x86_64-30.txz: Rebuilt.
Upgraded: libcares.so.2.13.1.
Added (temporarily): libboost_*.so.1.84.0.


Do I gather correctly that there are still some other items in -current that will need to be rebuilt against 1.85 ?
No, I'm just usually nicer to the boost libraries than I am for most library version bumps. Not sure why.
 
2 members found this post helpful.
Old 04-16-2024, 09:03 PM   #4257
denydias
Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 297

Rep: Reputation: Disabled
Well, elogind-255.4_r2-x86_64-1 from current's Tue Apr 16 18:50:13 UTC 2024 and it's new 'SuspendMode=deep s2idle' broke things here. Sleep stalls and I need to force a cold boot.

Quote:
# uname -s -r -p && dmesg | grep -E 'ACPI: PM:.*supports' && cat /sys/power/mem_sleep
Linux 6.6.27 13th Gen Intel(R) Core(TM) i9-13900H
[ 0.235960] ACPI: PM: (supports S0 S3 S4 S5)
[s2idle] deep
The above is after commenting the change locally (i.e '#SuspendMode=deep s2idle'). On the current mode ([s2idle] deep), system sleeps and wakeup almost cleanly, except for NetworkManager not providing WiFI that was fixed with:

Code:
$ cat /lib64/elogind/system-sleep/states.sh
#!/bin/bash
# See https://wiki.gentoo.org/wiki/Elogind#Suspend.2FHibernate_Resume.2FThaw_hook_scripts

case $1/$2 in
  pre/*)
    # Put here any commands expected to be run when suspending or hibernating.
    ;;
  post/*)
    # Put here any commands expected to be run when resuming from suspension or thawing from hibernation.
    /etc/rc.d/rc.networkmanager restart
    ;;
esac
With s2idle the system power LED blinks as it should when the lid is closed (indicates sleep). On the other hand, on deep LED stays lit and doesn't resume when lid is open, so I need to press and hold power button to turn it off then cold boot again.

This is a pretty new system, as such I don't know if some quirks are required in the kernel so elogin could work as expected with the new prefered 'deep' mode.

EDIT: must add that I use LUKS and LVM from README_CRYPT for full device encription with swap serving as hibernation storage. Booth sleep and hibernation works fine on this system when set to 's2idle'. While on 'deep' sleep fails and I didn't even bother to test hibernation.

Last edited by denydias; 04-16-2024 at 09:12 PM.
 
Old 04-17-2024, 12:23 AM   #4258
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,505

Rep: Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320
Quote:
Originally Posted by denydias View Post
Well, elogind-255.4_r2-x86_64-1 from current's Tue Apr 16 18:50:13 UTC 2024 and it's new 'SuspendMode=deep s2idle' broke things here. Sleep stalls and I need to force a cold boot.



The above is after commenting the change locally (i.e '#SuspendMode=deep s2idle'). On the current mode ([s2idle] deep), system sleeps and wakeup almost cleanly, except for NetworkManager not providing WiFI that was fixed with:

Code:
$ cat /lib64/elogind/system-sleep/states.sh
#!/bin/bash
# See https://wiki.gentoo.org/wiki/Elogind#Suspend.2FHibernate_Resume.2FThaw_hook_scripts

case $1/$2 in
  pre/*)
    # Put here any commands expected to be run when suspending or hibernating.
    ;;
  post/*)
    # Put here any commands expected to be run when resuming from suspension or thawing from hibernation.
    /etc/rc.d/rc.networkmanager restart
    ;;
esac
With s2idle the system power LED blinks as it should when the lid is closed (indicates sleep). On the other hand, on deep LED stays lit and doesn't resume when lid is open, so I need to press and hold power button to turn it off then cold boot again.

This is a pretty new system, as such I don't know if some quirks are required in the kernel so elogin could work as expected with the new prefered 'deep' mode.

EDIT: must add that I use LUKS and LVM from README_CRYPT for full device encription with swap serving as hibernation storage. Booth sleep and hibernation works fine on this system when set to 's2idle'. While on 'deep' sleep fails and I didn't even bother to test hibernation.
Just comment the last line from /etc/elogind/sleep.conf.d/10-elogind.conf - which contains SuspendMode= and restart the computer. It's a config file, so this change will be preserved when upgrading the elogind package.
 
Old 04-17-2024, 12:30 AM   #4259
kgha
Senior Member
 
Registered: May 2018
Location: Sweden
Distribution: Slackware 64 -current multilib from AlienBob's LiveSlak MATE
Posts: 1,070

Rep: Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742
Considering Pat's alpha state comment in the changelog, maybe it would be better if we revert to elogind-252.23 (and polkit-123?) and put later version(s) in /testing?
I had a look at pkgs.org and noted that Slackware -current and Debian Sid are the only repos offering 255.4.x - all others use versions older than 252.
Since there doesn't seem to be any security issues with the older versions (Slackware-15.0 still uses v246.10), reverting would hardly have any negative consequences.
An issue has been raised at github.com/elogind and is under investigation.
Personally I'll stay with elogind-252.23 and polkit-123 till further development solves the issue.

Last edited by kgha; 04-17-2024 at 12:33 AM.
 
Old 04-17-2024, 12:35 AM   #4260
LuckyCyborg
Senior Member
 
Registered: Mar 2010
Posts: 3,505

Rep: Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320Reputation: 3320
Quote:
Originally Posted by kgha View Post
Considering Pat's alpha state comment in the changelog, maybe it would be better if we revert to elogind-252.23 (and polkit-123?) and put later version(s) in /testing?
I had a look at pkgs.org and noted that Slackware -current and Debian Sid are the only repos offering 255.4.x - all others use versions older than 252.
Since there doesn't seem to be any security issues with the older versions (Slackware-15.0 still uses v246.10), reverting would hardly have any negative consequences.
An issue has been raised at github.com/elogind and is under investigation.
The one which works properly right now (and not only as integration with the NetworkManager) is elogind-252.9 and it works without downgrades of polkit or whatever else.

However, I do not think that's good to tuck the tail between legs and ran in an older version.

Because while that s2idle (which works only on some new laptops) vs. deep is a well known thing on the communities of the Linux distros which uses systemd (so 99% of them), however that NetworkManager issues seems to be Slackware-only. So, we need a wide testing as possible, which I'm afraid that's not possible with putting that new elogind in /testing.

Last edited by LuckyCyborg; 04-17-2024 at 01:16 AM.
 
1 members found this post helpful.
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Apache 2.4 requests to non-SSL site with "Upgrade-Insecure-Requests: 1" and no trailing / get redirected to default site owendelong Linux - Server 2 06-22-2021 02:08 PM
[SOLVED] Requests for -current (20151216) rworkman Slackware 3441 12-28-2017 03:50 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 05:06 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration